Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::Scrollbar Class Reference

A GtkScrollbar C++ wrapper class. More...

`#include <inti/gtk/scrollbar.h>`

Inheritance diagram for Inti::Gtk::Scrollbar:

List of all members.

## Public Member Functions

Accessors

- GtkScrollbar * gtk_scrollbar () const
    Get a pointer to the GtkScrollbar structure.
- GtkScrollbarClass * gtk_scrollbar_class () const
    Get a pointer to the GtkScrollbarClass structure.
- operator GtkScrollbar * () const
    Conversion operator; safely converts a Scrollbar to a GtkScrollbar pointer.

## Protected Member Functions

Constructors

- Scrollbar (GtkScrollbar *scrollbar, bool reference=false)
    Construct a new Scrollbar from an existing GtkScrollbar.
- virtual ~Scrollbar ()=0
    Destructor.

## Detailed Description

A GtkScrollbar C++ wrapper class.

The Scrollbar widget is an abstract base class for HScrollbar and VScrollbar. It is not very useful in itself. The position of the thumb in a scrollbar is controlled by the scroll adjustments. See Adjustment for the fields in an adjustment - for Scrollbar, the "value" field represents the position of the scrollbar, which must be between the lower field and upper - page_size. The page_size field represents the size of the visible scrollable area. The step_increment and page_increment fields are used when the user asks to step down (using the small stepper arrows) or page down (using for example the Page Down key).

## Constructor & Destructor Documentation

Inti::Gtk::Scrollbar::Scrollbar | ( | GtkScrollbar * | scrollbar,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new Scrollbar from an existing GtkScrollbar. Parameters:
  scrollbar | A pointer to a GtkScrollbar.
  reference | Set false if the initial reference count is floating, set true if it's not.
The scrollbar can be a newly created GtkScrollbar or an existing GtkScrollbar(see G::Object::Object).

The documentation for this class was generated from the following file:

- scrollbar.h

Main Page - Footer